@import url('./../../../../src/Components/Banner/banner.css?v2');
@import url('./../../../../src/Components/CtaBanner/cta_banner.css');
@import url('./../../../../src/Components/InquirySection/inquiry_section.css');
@import url('../../../../src/Components/Catalogo/catalogo.css');
@import url('./../../../../src/Components/BlogCard/blog-card.css');

header.section-header {
    display: flex;
    justify-content: space-between;
    align-items: end;
    gap: 1rem;
    width: 100%;

    h2 {
        margin-bottom: 0;
        font-weight: 700;
        font-size: 30px;
        line-height: 36px;
        letter-spacing: -0.6px;
        vertical-align: middle;
        color: #132D3E;

        @media (width < 480px) {
            font-size: 24px;
            line-height: 32px;
            letter-spacing: -0.48px;
        }
    }

    .subtitle {
        margin-bottom: 8.4px;
        font-weight: 600;
        font-size: 11px;
        line-height: 16.5px;
        letter-spacing: 1.98px;
        vertical-align: middle;
        text-transform: uppercase;
        color: #7B8A97;

        @media (width < 480px) {
            margin-bottom: 7.2px;
        }
    }

    a {
        display: flex;
        align-items: center;
        gap: 6px;
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
        letter-spacing: -0.08px;
        vertical-align: middle;
        color: #132D3E;
        text-decoration: none;
    }

    @media (width < 480px) {
        flex-wrap: wrap;
    }
}

.filter-section {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    gap: 16px;
    margin-top: 2.5rem;

    h2 {
        font-weight: 600;
        font-size: 11px;
        line-height: 16.5px;
        letter-spacing: 1.98px;
        vertical-align: middle;
        text-transform: uppercase;
    }

    .filter-form {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: 12px;
        width: 100%;

        label {
            position: relative;
            display: flex;
            align-items: center;
            max-width: 320px;
            width: 100%;

            select {
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
                width: 100%;
                padding: 16px 24px 16px 13px;
                border: 1px solid #CBD4DC;
                border-radius: 2px;
                background-color: #fff;
                font-family: Barlow;
                font-weight: 400;
                font-size: 14px;
                line-height: 17.6px;
                letter-spacing: -0.08px;
                vertical-align: middle;
                color: #05141F;
                cursor: pointer;

                &:focus {
                    outline: none;
                    border: .5px solid #000;
                }
            }

            svg {
                content: '';
                position: absolute;
                right: 5px;
                pointer-events: none;
            }

            @media (width < 480px) {
                max-width: initial;
            }
        }

        button {
            --btn-background: #05141F;
            --btn-color: #fff;
            --btn-hover-background: #fff;
            --btn-hover-color: #05141F;
            --btn-border-color: #05141F;
            --btn-hover-border-color: #05141F;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 8px;
            max-width: 320px;
            width: 100%;
            padding: 13px;
            border: 1px solid var(--btn-border-color);
            border-radius: 2px;
            background-color: var(--btn-background);
            font-size: 12px;
            font-weight: bold;
            color: var(--btn-color);
            cursor: pointer;
            transition:
                background-color 250ms ease-in-out,
                color 250ms ease-in-out,
                border-color 250ms ease-in-out;

            &:hover {
                --btn-background: #fff;
                --btn-color: #000;
                --btn-hover-background: #000;
                --btn-hover-color: #fff;
                --btn-border-color: #000;
                --btn-hover-border-color: #000;

                transition:
                    background-color 250ms ease-in-out,
                    color 250ms ease-in-out,
                    border-color 250ms ease-in-out;
            }

            @media (width < 480px) {
                max-width: initial;
            }
        }
    }

}

.products-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    margin: 0 auto;
    background-color: #fff;
    padding: 60px 0;

    &.blue {
        background-color: #F4F6F8;
    }

    &>h1 {
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
        font-size: 32px;
        text-transform: uppercase;
    }

    &>h1:first-child {
        margin-top: 0;
    }

    .products-card-slider {
        width: 100%;
    }
}

.banner-middle-continer {
    display: flex;
    flex-wrap: wrap;
    padding: 60px var(--space, 16px) 78px var(--space, 16px);

    .banner-middle {
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 64px;
        width: 100%;
        height: auto;

        picture {
            position: relative;
            display: block;
            width: 100%;
            height: 100%;
            padding: 16px 0;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                border-radius: 2px;
            }

            .floating-badge {
                position: absolute;
                bottom: -24px;
                right: -24px;
                display: flex;
                flex-direction: column;
                max-width: 220px;
                width: 100%;
                padding: 24px;
                background: #05141F;
                border-radius: 2px;
                color: #fff;

                .title {
                    margin-bottom: 8px;
                    font-weight: 700;
                    font-size: 30px;
                    line-height: 30px;
                    letter-spacing: -0.08px;
                    vertical-align: middle;
                }

                .text {
                    margin-bottom: 0;
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 16.5px;
                    letter-spacing: -0.08px;
                    vertical-align: middle;
                    color: #CBD4DC;
                }
            }
        }

        .content {
            display: flex;
            flex-direction: column;
            width: 100%;
            max-width: 604px;
            height: 100%;
            z-index: 10;

            h1 {
                margin-block: 27px;
                font-weight: 700;
                font-size: 36px;
                line-height: 39.6px;
                letter-spacing: -0.72px;
                vertical-align: middle;
                color: #05141F;
            }

            &>.text {
                max-width: 495px;
                margin-bottom: 27px;
                font-weight: 400;
                font-size: 16px;
                line-height: 24px;
                letter-spacing: -0.08px;
                vertical-align: middle;
                color: #7B8A97;
            }

            .feature-grid {
                display: grid;
                grid-template-columns: repeat(2, minmax(130px, 1fr));
                border-radius: 2px;
                border: 1px solid #CBD4DC;

                article {
                    padding: 20px;

                    &:nth-child(2n) {
                        border-left: 1px solid #CBD4DC;
                    }

                    &:nth-child(-n+2) {
                        border-bottom: 1px solid #CBD4DC;
                    }

                    figure {
                        --size: 20px;
                        display: flex;
                        width: var(--size);
                        height: var(--size);
                        margin-bottom: 12px;

                        img {
                            width: 100%;
                            height: 100%;
                            object-fit: contain;
                        }
                    }

                    .title {
                        margin-bottom: 3.2px;
                        font-weight: 600;
                        font-size: 14px;
                        line-height: 20px;
                        letter-spacing: -0.08px;
                        vertical-align: middle;
                    }

                    .text {
                        margin-bottom: 0;
                        font-weight: 400;
                        font-size: 12px;
                        line-height: 16px;
                        letter-spacing: -0.08px;
                        vertical-align: middle;
                        color: #7B8A97;
                    }
                }
            }
        }
    }
}

.subtitle-home {
    font-size: 24px;
}

.brands-container {
    position: relative;
    max-width: calc(var(--max-width-ml) + 80px);
    margin: auto;
    padding: 0 40px;

    .swiper-slide {
        --width: 143px;
        --height: 134px;

        width: var(--width) !important;
        height: var(--height);
        display: flex;
        justify-content: center;

        a.brand-link {
            display: flex;
            justify-content: center;
            align-items: center;
            width: var(--width);
            height: var(--height);
            padding: 6px;
            border: 1px solid #D9D9D9;
            border-radius: 10px;
            background-color: #fff;

            picture {
                display: flex;
                justify-content: center;
                align-items: center;
                width: 100%;
                height: 100%;

                img {
                    max-width: 100%;
                    max-height: auto;
                    object-fit: contain;
                }
            }

        }
    }

    .swiper-button-next,
    .swiper-button-prev {
        color: #b3b3b3;

        svg {
            width: 20px;
            height: 20px;
        }

        &::after {
            content: none;
        }
    }
}

.blog-info {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 32px;
    width: 100%;
    padding: 60px 0;
    background-color: #F4F6F8;

    .blog-info-container {
        display: flex;
        flex-wrap: wrap;
        gap: 25px;
        width: 100%;
    }
}

footer.main-footer {
    margin-top: 0;
}

@media (max-width: 768px) {

    .filter-section {
        justify-content: center;
        gap: 1rem;
        padding: 1rem 2rem;
        margin: 2.5rem auto auto;

        .filter-form {
            display: flex;

            label {

                select {
                    font-size: 18px;
                }
            }
        }

    }

    .catalogo-container .catalogo {
        justify-content: center;
    }

    .banner-middle-continer {

        .banner-middle {
            flex-direction: column-reverse;
            gap: 40px;
            min-width: initial;

            picture {
                min-height: 268px;
                padding: 0;

                .floating-badge {
                    right: -10px;
                    bottom: -15px;
                }
            }

            .content {
                h1 {
                    font-size: 30px;
                    line-height: 33px;
                    letter-spacing: -0.6px;
                }
            }
        }
    }

    .products-container {
        padding: 2rem 0rem 5rem 0rem;

        header {
            display: flex;
            flex-direction: column;
            align-items: start;
            gap: .5rem;

            h2 {
                font-size: 1.6em;
            }

            a {
                max-width: 250px;
                width: 100%;
                border-width: 2px;
                font-weight: bold;
            }
        }
    }
}